# Version of OpenSSH
%define oversion 3.4p1

# Version of ssh-askpass
%define aversion 1.2.4.1

%define def_with() %{expand:%%{!?_with_%{1}: %%{!?_without_%{1}: %%global _with_%{1} --with-%(echo -n %{1}|tr _ -)}}}
%define def_without() %{expand:%%{!?_with_%{1}: %%{!?_without_%{1}: %%global _without_%{1} --without-%(echo -n %{1}|tr _ -)}}}
%define if_with() %if %{expand:%%{?_with_%{1}:1}%%{!?_with_%{1}:0}}
%define subst_with() %{expand:%%{?_with_%{1}:%%{_with_%{1}}}} %{expand:%%{?_without_%{1}:%%{_without_%{1}}}}

%define ROOT /var/empty
%def_with x11_askpass
%def_with gnome_askpass
%def_with pam_userpass
%def_with mksock

Name: openssh
Version: %oversion
Release: alt4%{?!_with_pam_userpass:.updates}

Summary: OpenSSH free Secure Shell (SSH) implementation
Copyright: BSD
Group: Networking/Remote access

Source0: ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/%name-%oversion.tar.bz2
%if_with x11_askpass
Source1: http://www.ntrnet.net/~jmknoble/software/x11-ssh-askpass/x11-ssh-askpass-%aversion.tar.bz2
%endif #with x11_askpass

Source2: ssh-copy-id.tar.bz2

Source3: ssh-askpass.sh
Source4: ssh-askpass.csh

Source5: http://www.openssh.com/faq.html

Source6: sshd.pamd
Source7: sshd.pamd-pam_userpass
Source8: sshd.init

Source9: rescp

Source10: ssh-agent.sh
Source11: %name-closing.txt

# CVS
Patch0: %name-3.4p1-cvs-resolver.patch

# Owl
Patch101: %name-3.3p1-owl-hide-unknown.patch
Patch102: %name-3.3p1-owl-always-auth.patch
Patch103: %name-3.4p1-owl-alt-pam_userpass.patch
Patch104: %name-3.1p1-owl-scp-stalltime.patch
Patch105: %name-3.1p1-owl-drop-groups.patch
Patch106: %name-3.1p1-owl-openssl-version-check.patch
Patch107: %name-3.4p1-owl-mm.patch
Patch108: %name-3.4p1-owl-password-changing.patch
Patch109: %name-3.4p1-owl-logging.patch
Patch110: %name-3.4p1-owl-fatal_cleanups.patch

# ALT
Patch201: %name-3.4p1-alt-mm.patch
Patch202: %name-3.1p1-alt-reduce-client-libs.patch
Patch203: %name-3.4p1-alt-socketcred.patch
Patch204: %name-3.1p1-alt-pam_service.patch
Patch205: %name-3.3p1-alt-auth_parse_options.patch
Patch206: %name-3.3p1-alt-ssh-add.patch
Patch207: %name-3.4p1-alt-ssh-agent.patch
Patch208: %name-3.1p1-alt-log_MSGBUFSIZ.patch
Patch209: %name-3.1p1-alt-channels-debug.patch
Patch210: %name-3.3p1-alt-authorized_keys_system_file.patch
Patch211: %name-3.3p1-alt-ssh_version.patch
Patch212: %name-3.3p1-alt-trans_inter.patch
Patch213: %name-3.3p1-alt-defaults.patch
Patch214: %name-3.4p1-alt-ssh-keygen-bits.patch

%define	_libexecdir %_libdir/%name
%define	_pamdir /etc/pam.d

PreReq: libssl >= 0:0.9.6a-alt1, libssl < 0:0.9.7
Obsoletes: ssh
BuildPreReq: openssl-devel >= 0:0.9.6a
%{?_with_mksock:BuildPreReq: /usr/bin/mksock}

%if_with x11_askpass
BuildPreReq: XFree86-devel
%endif #with x11_askpass

%if_with gnome_askpass
BuildPreReq: esound-devel glib-devel gnome-libs-devel gtk+-devel imlib-devel libaudiofile-devel libdb1-devel
%endif #with gnome_askpass

%if_with pam_userpass
BuildPreReq: pam_userpass-devel
%endif #with pam_userpass

# Automatically added by buildreq on Sun Nov 10 2002
BuildRequires: groff-base libpam-devel libssl-devel libwrap-devel pam_userpass-devel zlib-devel

%package clients
Summary: OpenSSH Secure Shell protocol clients
Group: Networking/Remote access
Requires: %name = %version-%release
Obsoletes: ssh-clients, sftp

%package server
Summary: OpenSSH Secure Shell protocol server (sshd)
Group: System/Servers
PreReq: %name = %version-%release, chkconfig, coreutils, shadow-utils
PreReq: libssl >= 0:0.9.6a-alt1, libssl < 0:0.9.7
Requires: kernel >= 2.2.15
Obsoletes: ssh-server

%package askpass-x11
Summary: OpenSSH X11 passphrase dialog
Group: Networking/Remote access
Requires: %name = %version-%release
PreReq: /usr/sbin/update-alternatives
Provides: %name-askpass = %version-%release
Obsoletes: ssh-extras, ssh-askpass, %name-askpass

%package askpass-gnome
Summary: OpenSSH GNOME passphrase dialog
Group: Networking/Remote access
Requires: %name = %version-%release
PreReq: /usr/sbin/update-alternatives
Provides: %name-askpass = %version-%release
Obsoletes: ssh-extras, ssh-askpass, %name-askpass

%description
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to seperate libraries (OpenSSL).

This package includes the core files necessary for both the OpenSSH
client and server.  To make this package useful, you should also
install %name-clients, %name-server, or both.

%description clients
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to seperate libraries (OpenSSL).

This package includes the clients necessary to make encrypted connections
to SSH servers.

%description server
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to seperate libraries (OpenSSL).

This package contains the secure shell daemon. The sshd is the server 
part of the secure shell protocol and allows ssh clients to connect to 
your host.

%description askpass-x11
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to seperate libraries (OpenSSL).

This package contains Jim Knoble's <jmknoble@pobox.com> X11 passphrase dialog.

%description askpass-gnome
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to seperate libraries (OpenSSL).

This package contains the GNOME passphrase dialog.

%prep
%if_with x11_askpass
%setup -q -a1 -a2
%else #without x11_askpass
%setup -q -a8
%endif #with x11_askpass
install -p -m644 $RPM_SOURCE_DIR/faq.html contrib/faq.html
install -p -m644 $RPM_SOURCE_DIR/%name-closing.txt .

%patch0 -p1

%patch101 -p1
%patch102 -p1
%{?_with_pam_userpass:%patch103 -p1}
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1

%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch208 -p1
%patch209 -p1
%patch210 -p1
%patch211 -p1
%patch212 -p1
%patch213 -p1
%patch214 -p1

find -type f -name \*.orig -print0 |
	xargs -r0 %__rm -f --

%build
export ac_cv_path_LOGIN_PROGRAM_FALLBACK=/bin/login
export ac_cv_path_NROFF=/usr/bin/nroff
export ac_cv_path_xauth_path=/usr/X11R6/bin/xauth
%configure \
	--sysconfdir=%_sysconfdir/%name \
	%{subst_with gnome_askpass} \
	--with-pam \
	--with-tcp-wrappers \
	--with-ipv4-default \
	--with-ipaddr-display \
	--with-rsh=/usr/bin/rsh \
	--with-default-path=/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin \
	--with-privsep-path=%ROOT \
	--with-privsep-user=sshd \
	#

%__subst 's/ -ldl//' Makefile
%__subst 's/ -lnsl//' Makefile
%{?_with_pam_userpass:%__subst 's/^\(LIBPAM=.*\)/\1 -lpam_misc -lpam_userpass/g' Makefile}

%make_build

%if_with x11_askpass
pushd x11-ssh-askpass-%aversion
	%configure --with-app-defaults-dir=%_sysconfdir/X11/app-defaults
	xmkmf -a
	%make_build CDEBUGFLAGS="$RPM_OPT_FLAGS"
popd
%endif #with x11_askpass

%if_with gnome_askpass
pushd contrib
	gcc $RPM_OPT_FLAGS `gnome-config --cflags --libs gnome gnomeui` -lpthread gnome-ssh-askpass.c -o gnome-ssh-askpass
popd
%endif #with gnome_askpass

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

%__mkdir_p $RPM_BUILD_ROOT{%_libexecdir,%_sysconfdir{,/X11}/profile.d}
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/%name/authorized_keys{,2}
install -pD -m600 $RPM_SOURCE_DIR/sshd.pamd%{?_with_pam_userpass:-pam_userpass} $RPM_BUILD_ROOT%_pamdir/sshd
install -pD -m755 $RPM_SOURCE_DIR/sshd.init $RPM_BUILD_ROOT%_initdir/sshd
install -p -m755 $RPM_SOURCE_DIR/rescp $RPM_BUILD_ROOT%_bindir/
install -p -m755 $RPM_SOURCE_DIR/ssh-agent.sh $RPM_BUILD_ROOT%_sysconfdir/X11/profile.d/

install -p -m755 contrib/ssh-copy-id $RPM_BUILD_ROOT%_bindir/
install -p -m644 contrib/ssh-copy-id.1 $RPM_BUILD_ROOT%_man1dir/

%if_with x11_askpass
install -pD -m644 x11-ssh-askpass-%aversion/SshAskpass-default.ad \
	$RPM_BUILD_ROOT%_sysconfdir/X11/app-defaults/SshAskpass
install -p -m755 x11-ssh-askpass-%aversion/x11-ssh-askpass \
	$RPM_BUILD_ROOT%_libexecdir/
%endif #with x11_askpass

%if_with gnome_askpass
install -p -m755 contrib/gnome-ssh-askpass \
	$RPM_BUILD_ROOT%_libexecdir/
%endif #with gnome_askpass

chmod 711 $RPM_BUILD_ROOT%_sbindir/*
chmod 755 $RPM_BUILD_ROOT%_libexecdir/*

install -p -m755 $RPM_SOURCE_DIR/ssh-askpass.{sh,csh} \
	$RPM_BUILD_ROOT%_sysconfdir/profile.d/

%__bzip2 -9 ChangeLog ||:

#mmap fallback
%__mkdir_p $RPM_BUILD_ROOT/var/run/sshd

%post askpass-x11
/usr/sbin/update-alternatives --install %_libexecdir/ssh-askpass ssh-askpass %_libexecdir/x11-ssh-askpass 20

%preun askpass-x11
if [ $1 = 0 ]; then
	/usr/sbin/update-alternatives --remove ssh-askpass %_libexecdir/x11-ssh-askpass
fi

%post askpass-gnome
/usr/sbin/update-alternatives --install %_libexecdir/ssh-askpass ssh-askpass %_libexecdir/gnome-ssh-askpass 10

%preun askpass-gnome
if [ $1 = 0 ]; then
	/usr/sbin/update-alternatives --remove ssh-askpass %_libexecdir/gnome-ssh-askpass
fi

%pre server
/usr/sbin/groupadd -r -f sshd >/dev/null 2>&1
/usr/sbin/useradd -r -g sshd -d / -s /dev/null -n sshd >/dev/null 2>&1 ||:

%post server
if [ $1 = 1 ]; then
	/sbin/chkconfig --add sshd ||:
else
	/sbin/service sshd condreload ||:
fi

%preun server
if [ $1 = 0 ]; then
	/sbin/chkconfig --del sshd ||:
fi

%triggerpostun server -- openssh < 0:3.0.2p1-alt3
f=%_sysconfdir/%name/moduli
if [ ! -f "$f" ]; then
	if [ -f "$f".rpmsave ]; then
		%__cp -pf "$f".rpmsave "$f"
	elif [ -f "$f".rpmnew ]; then
		%__cp -pf "$f".rpmnew "$f"
	fi
fi

%triggerun server -- ssh-server
if [ $1 != 0 -a -r /var/run/sshd.pid ]; then
	: >>/var/run/sshd.restart
fi
 
%triggerpostun server -- ssh-server
if [ $1 != 0 ]; then
	/sbin/chkconfig --add sshd
	if [ -f /var/run/sshd.restart ]; then
		%__rm -f /var/run/sshd.restart
		%_initdir/sshd start
	fi
fi

%files
%attr(751,root,root) %dir %_sysconfdir/%name
%_bindir/scp
%_bindir/ssh-keygen
%_man1dir/scp.*
%_man1dir/ssh-keygen.*
%doc ChangeLog* CREDITS INSTALL LICENCE README* RFC.nroff TODO WARNING.RNG contrib/faq.html *.txt

%files clients
%attr(751,root,root) %dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/ssh_config
%config(noreplace) %_sysconfdir/X11/profile.d/*
%attr(751,root,root) %dir %_libexecdir
%_libexecdir/ssh-keysign
%_bindir/rescp
%_bindir/sftp
%_bindir/slogin
%_bindir/ssh
%_bindir/ssh-add
%_bindir/ssh-agent
%_bindir/ssh-copy-id
%_bindir/ssh-keyscan
%_man1dir/sftp.*
%_man1dir/slogin.*
%_man1dir/ssh.*
%_man1dir/ssh-add.*
%_man1dir/ssh-agent.*
%_man1dir/ssh-copy-id.*
%_man1dir/ssh-keyscan.*
%_man5dir/ssh_config.*
%_man8dir/ssh-keysign.*

%files server
%attr(751,root,root) %dir %_sysconfdir/%name
%attr(600,root,root) %config(noreplace) %_sysconfdir/%name/moduli
%attr(600,root,root) %config(noreplace) %_sysconfdir/%name/sshd_config
%attr(600,root,root) %config(noreplace) %_pamdir/sshd
%attr(755,root,root) %config %_initdir/sshd
%attr(751,root,root) %dir %_sysconfdir/%name/authorized_keys*
%_sbindir/*
%attr(751,root,root) %dir %_libexecdir
%_libexecdir/sftp-server
%_man5dir/sshd_config.*
%_man8dir/sshd.*
%_man8dir/sftp-server.*
#mmap fallback
/var/run/sshd

%if_with x11_askpass
%files askpass-x11
%_sysconfdir/profile.d/ssh-askpass.*
%config %_sysconfdir/X11/app-defaults/SshAskpass
%attr(751,root,root) %dir %_libexecdir
%_libexecdir/x11-ssh-askpass
%doc x11-ssh-askpass-%aversion/{README,ChangeLog,SshAskpass*.ad}
%endif #with x11_askpass

%if_with gnome_askpass
%files askpass-gnome
%_sysconfdir/profile.d/ssh-askpass.*
%attr(751,root,root) %dir %_libexecdir
%_libexecdir/gnome-ssh-askpass
%endif #with gnome_askpass

%changelog
* Wed Jan 29 2003 Dmitry V. Levin <ldv@altlinux.org> 3.4p1-alt4
- %%post: Execute "service sshd condreload" on upgrade (#0001756).
- app-defaults/SshAskpass: Fixed file permissions (#0002068).
- ssh-keygen: Fixed default key length (#0002097).

* Tue Nov 12 2002 Dmitry V. Levin <ldv@altlinux.org> 3.4p1-alt3
- Merged Owl changes:
  * Sun Jul 28 2002 Solar Designer <solar@owl.openwall.com>
  - Install the packet_close() cleanup for the client as well.
  * Sun Jul 07 2002 Solar Designer <solar@owl.openwall.com>
  - Install the packet_close() cleanup for root logins as well (which are
    not privilege separated because that wouldn't make sense and thus were
    handled by a different code path which I initially have missed).
  * Sat Jul 06 2002 Solar Designer <solar@owl.openwall.com>
  - Re-initialize logging after calls into PAM module stacks, make use of
    log_reinit() where the original code needed that kind of functionality.
  * Fri Jul 05 2002 Solar Designer <solar@owl.openwall.com>
  - Re-enable the password changing code (disabled in 3.3p1 and 3.4p1) for
    non-privsep case, disallowing any forwardings (such that the session may
    not be actually used while still not changing the expired password).
  - Limit three of the cleanup functions to apply to just the proper sshd
    processes, make sure session_pty_cleanup() happens before packet_close().
  * Tue Jul 02 2002 Solar Designer <solar@owl.openwall.com>
  - In the PAM conversation, queue any text messages appearing in initial
    login mode for printing later, similarly to what the original code did.
    This is needed to pass password expiration warnings on to the user.
  * Sat Jun 29 2002 Solar Designer <solar@owl.openwall.com>
  - Keep the /dev/log fd open and only close it before executing other
    programs, to enable direct logging from chrooted child processes.
- Build with -lwrap dynamically.

* Tue Jul 02 2002 Dmitry V. Levin <ldv@altlinux.org> 3.4p1-alt2
- Initialize the resolver before chroot (Kevin Steves).
- Added zeroing out the written-to pages on mm_destroy (Owl).

* Thu Jun 27 2002 Dmitry V. Levin <ldv@altlinux.org> 3.4p1-alt1
- 3.4p1 (with ChallengeResponseAuthentication fix).

* Mon Jun 24 2002 Dmitry V. Levin <ldv@altlinux.org> 3.3p1-alt1
- 3.3p1 (with privilege separation), updated our and Owl's patches.
- If MAP_ANON|MAP_SHARED fails (is unsupported on Linux 2.2), fallback
  to using SysV shm, and, if that fails too (SysV shm is a compile-time
  kernel option), to MAP_SHARED with sparse and unlinked swap files. (Owl)
- Set chroot for privsep user to %ROOT%{?_with_mksock:, added /dev/log there}.
- startup script: added new targets: check, condreload.

* Sun Mar 24 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.1p1-alt1
- 3.1p1, updated our and Owl's patches.
- Disabled restricted_forwarding patch (use "permitopen=" option instead).

* Thu Mar 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.0.2p1-alt4
- Fixed %%triggerpostun script.

* Mon Mar 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.0.2p1-alt3
- Set more strict versioned libssl requires.
- Placed %_sysconfdir/%name/moduli to server subpackage.
- Added %_sysconfdir/X11/profile.d/%name-agent.sh to client subpackage
  (for xinitrc >= 2.4.6-alt1).
- Updated buildrequires.

* Thu Mar 07 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.0.2p1-alt2
- Fixed channel code error (marcus).
- Fixed %_sysconfdir/%name/authorized_keys* permissions (0750 --> 0751).
- Fixed server subpackage dependencies (openssl --> libssl).
- Fixed startup script: use "%_sbindir/sshd" instead of "sshd".
- Fixed reload with incomplete argv[0] (#0000503).
- Removed pam_lastlog from %_pamdir/sshd (PrintLastLog=yes by default).
- Added "--without" logic to *_askpass build.

* Fri Dec 28 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.0.2p1-alt1
- 3.0.2p1, updated our and Owl's patches.
- x11-ssh-askpass-1.2.4.1
- Added libpam_userpass support.
- Updated faq.
- Dropped make-ssh-known-hosts.

* Sat Sep 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.9p2-alt3
- Moved socket fchowning to socketcred.
- Updated faq.

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.9p2-alt2
- authorized_keys2 IP based access control restriction checking fix.
- x11-ssh-askpass-1.2.4.

* Tue Jun 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.9p2-alt1
- Updated to 2.9p2.
- Merged in some third-party patches (including owl and rh).
- Added %_sysconfdir/profile.d/ssh-askpass.* files.
- %name-clients no longer requires %name-askpass to be installed.

* Thu Jun 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.5.2p2-alt6
- Fixed build with new imake.

* Mon May 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.5.2p2-alt5
- Fixed typo in readconf.c (use id_dsa again, #35).
- Use major part of OPENSSL_VERSION_NUMBER.

* Wed Apr 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.5.2p2-alt4
- x11-ssh-askpass-1.2.2.

* Wed Mar 28 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.5.2p2-alt3
- Minor fixes from RH.

* Tue Mar 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.5.2p2-alt2
- Fixed typo made in recent merge.

* Mon Mar 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.5.2p2-alt1
- 2.5.2p2 release.

* Mon Mar 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.5.1p2-ipl2mdk
- Added "ssh-agent -u" feature.

* Thu Mar 01 2001 Dmitry V. Levin <ldv@fandra.org> 2.5.1p2-ipl1mdk
- 2.5.1p2 release.

* Thu Feb 22 2001 Dmitry V. Levin <ldv@fandra.org> 2.5.1p1-ipl2mdk
- Added two new options for sshd.

* Tue Feb 20 2001 Dmitry V. Levin <ldv@fandra.org> 2.5.1p1-ipl6mdk
- 2.5.1p1 release.
- Merged all patches into single unified patch.

* Sun Feb 11 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.0p1-ipl6mdk
- Updated socket chowning patch.
- Fixed auth-options reset time.
- Fixed setting PAM rhost.
- Workaround for xauth bug.

* Fri Jan 26 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.0p1-ipl5mdk
- Rewritten ssh-copy-id script.
- Updated ssh-copy-id.1 manpage.
- Patched ssh-keygen to properly use dsa mode when necessary.

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.0p1-ipl4mdk
- Updated x11-ssh-askpass version 1.1.1.
- Applied TransmitInterlude patch.

* Fri Jan 12 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.0p1-ipl3mdk
- Enabled PasswordAuthentication by default for client and server.

* Sat Jan 06 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.0p1-ipl2mdk
- Rebuilt with db2.

* Tue Nov 07 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.0p1-ipl1mdk
- Updated:
  + openssh-2.3.0p1;
  + x11-ssh-askpass-1.1.0;
  + our patches.
- Added:
  + http://www.openssh.com/faq.html

* Thu Oct 12 2000 Dmitry V. Levin <ldv@fandra.org> 2.2.0p1-ipl3mdk
- Updated:
  + x11-ssh-askpass-1.0.2;
  + pam configuration.
- Fixed (by Nalin Dahyabhai <nalin@redhat.com>):
  + ssh-add to try to add both identity and id_dsa,
    and to error only when neither exists;
  + Set the default path to be the same as the one supplied
    by /bin/login, but also add /usr/X11R6/bin;
  + try to handle obsoletion of ssh-server more cleanly.
- Automatically added BuildRequires.

* Wed Sep 13 2000 Dmitry V. Levin <ldv@fandra.org> 2.2.0p1-ipl2mdk
- Use update-alternatives for askpass-* packages.

* Mon Sep 04 2000 Dmitry V. Levin <ldv@fandra.org> 2.2.0p1-ipl1mdk
- Updated:
  + openssh-2.2.0p1;
  + x11-ssh-askpass-1.0.1.
- Changed:
  + rescp script;
  + moved keygen calls to sshd.init (now generate keys at runtime);
  + made building of X11-askpass and gnome-askpass optional;
  + removed autorestart of the server after upgrade.

* Thu Aug 17 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.1p4-ipl2mdk
- Changed StrictHostKeyChecking parameter in ssh_config from "yes" to "ask".
- Added usage to ssh-copy-id script.

* Wed Jul 19 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.1p4-ipl1
- 2.1.1p4

* Wed Jul 12 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.1p3-ipl1
- 2.1.1p3

* Wed Jul 05 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.1p2-ipl1
- 2.1.1p2

* Fri Jun 30 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.1p1-ipl2
- configure/bash bug workaround.

* Tue Jun 27 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.1p1-ipl1
- 2.1.1p1
- Use FHS-compatible macros.

* Wed May 31 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.0p3-ipl1
- 2.1.0p3

* Sun May 21 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.0p2-ipl1
- 2.1.0p2

* Mon May 15 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.0-ipl1
- Fixes:
  + xauth bug;
  + shutdown typo;
- Features:
  + rescp script from Solar Designer;
  + TCP/IP sockets belong to user;
  + configurable software version as it will be reported to peer;
  + restricted forwarding;
  + permitted keys in system directory.
- RE and Fandra adaptions.

* Wed Mar 15 2000 Damien Miller <djm@ibs.com.au>
- Updated for new location
- Updated for new gnome-ssh-askpass build

* Sun Dec 26 1999 Damien Miller <djm@mindrot.org>
- Added Jim Knoble's <jmknoble@pobox.com> askpass

* Mon Nov 15 1999 Damien Miller <djm@mindrot.org>
- Split subpackages further based on patch from jim knoble <jmknoble@pobox.com>

* Sat Nov 13 1999 Damien Miller <djm@mindrot.org>
- Added 'Obsoletes' directives

* Tue Nov 09 1999 Damien Miller <djm@ibs.com.au>
- Use make install
- Subpackages

* Mon Nov 08 1999 Damien Miller <djm@ibs.com.au>
- Added links for slogin
- Fixed perms on manpages

* Sat Oct 30 1999 Damien Miller <djm@ibs.com.au>
- Renamed init script

* Fri Oct 29 1999 Damien Miller <djm@ibs.com.au>
- Back to old binary names

* Thu Oct 28 1999 Damien Miller <djm@ibs.com.au>
- Use autoconf
- New binary names

* Wed Oct 27 1999 Damien Miller <djm@ibs.com.au>
- Initial RPMification, based on Jan "Yenya" Kasprzak's <kas@fi.muni.cz> spec.
